AbstractLoggable (Avalon Framework API)
Keywords: org.apache.avalon.framework.logger.AbstractLoggable class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.avalon.framework.logger
Class AbstractLoggable

    java.lang.Object
      org.apache.avalon.framework.logger.AbstractLoggable

All Implemented Interfaces:
  Loggable

Deprecated. Use `AbstractLogEnabled` instead.

public abstract class AbstractLoggable
extends java.lang.Object
implements Loggable

Utility class to allow construction of easy components that will perform logging.

Version:
  CVS $Revision: 1.19 $ $Date: 2004/02/11 14:34:26 $
Author:
  Avalon Development Team

Constructor Summary
`AbstractLoggable()` Deprecated.

Method Summary
`protected org.apache.log.Logger` | `getLogger()` Deprecated. Helper method to allow sub-classes to aquire logger.
`void` | `setLogger(org.apache.log.Logger logger)` Deprecated. Set the components logger.
`protected void` | `setupLogger(java.lang.Object component)` Deprecated. Helper method to setup other components with same logger.
`protected void` | `setupLogger(java.lang.Object component, org.apache.log.Logger logger)` Deprecated. Helper method to setup other components with logger.
`protected void` | `setupLogger(java.lang.Object component, java.lang.String subCategory)` Deprecated. Helper method to setup other components with logger.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractLoggable

    public AbstractLoggable()

  Deprecated.

Method Detail

### setLogger

    public void setLogger(org.apache.log.Logger logger)

  Deprecated.
  Set the components logger.

  Specified by:
    `setLogger` in interface `Loggable`
  Parameters:
    `logger` - the logger

### getLogger

    protected final org.apache.log.Logger getLogger()

  Deprecated.
  Helper method to allow sub-classes to aquire logger. This method exists rather than exposing a member variable because it protects other users against future changes. It also means they do not have to use our naming convention.

  There is no performance penalty as this is a final method and will be inlined by the JVM.

  Returns:
    the Logger

### setupLogger

    protected void setupLogger(java.lang.Object component)

  Deprecated.
  Helper method to setup other components with same logger.

  Parameters:
    `component` - the component to pass logger object to

### setupLogger

    protected void setupLogger(java.lang.Object component,
                               java.lang.String subCategory)

  Deprecated.
  Helper method to setup other components with logger. The logger has the subcategory of this components logger.

  Parameters:
    `component` - the component to pass logger object to
    `subCategory` - the subcategory to use (may be null)

### setupLogger

    protected void setupLogger(java.lang.Object component,
                               org.apache.log.Logger logger)

  Deprecated.
  Helper method to setup other components with logger.

  Parameters:
    `component` - the component to pass logger object to
    `logger` - the Logger

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © The Apache Software Foundation. All Rights Reserved.